#ifndef PASSWORD_LINE_EDIT_H
#define PASSWORD_LINE_EDIT_H

#include <QLineEdit>
#include <QAction>
#include <QIcon>

class PasswordLineEdit : public QLineEdit {
    Q_OBJECT
public:
    explicit PasswordLineEdit(QWidget *parent=nullptr);
private:
    QAction *m_toggleAction { nullptr };
    void setupToggle();
};

#endif // PASSWORD_LINE_EDIT_H
